Subject: bug#60064: adding ansi-color faces for themes that do not have them

From: Yilkal Argaw <[email-masked]>
Date: Wed, 14 Dec 2022 12:46:23 +0000

Shell and Eshell in emacs inherit from ansi-colors which affects how output
from command line programs that make use of them. While many of the themes
included with emacs define faces for them, others do not. Specifically
adwaita, deeper-blue, light-blue, manoj-dark, tsdh-dark, tsdh-light,
wheatgrass and whiteboard themes. This makes output from terminal
applications that make use of ansi-colors look awkward or hard to read when
using those themes(i.e. in shell or eshell). Is it possible to enforce
definitions for ansi-colors at least in the themes that are included with
emacs. Because interaction with the shells is an essential part of using
emacs for so many people.

With Regards
Yilkal

ps. I  raised this topic on the dev mailing list and was directed to file a
bug report so it can be tracked.